import openpyxl
import warnings
import csv
warnings.filterwarnings("ignore")


def read_excel():
    # Ruta al archivo Excel (puedes ajustar esto según tu estructura de archivos)
    file_path = 'paletas.xlsx'

    # Abre el archivo Excel
    wb = openpyxl.load_workbook(file_path, data_only=True)

    # Selecciona una hoja específica o la hoja activa (por defecto)
    sheet = wb['LUR']  # Puedes usar wb['NombreDeLaHoja'] para seleccionar una hoja específica

    # Itera a través de las filas y columnas del archivo Excel
    texto1 = ''
    texto2 = ''
    texto3 = ''
    texto4 = ''
    bgcolor1 = ''
    bgcolor2 = ''
    color1 = ''
    color2 = ''

    archivo_csv = 'LUR.csv'

    with open(archivo_csv, 'w', newline='', encoding='latin-1') as f:
        escritor = csv.writer(f, delimiter=';', quoting=csv.QUOTE_ALL)
        escritor.writerow(['codigo','texto1','texto2','texto3','texto4','bgcolor1','color1','bgcolor2','color2'])

        for row in sheet.iter_rows(values_only=True):
            if row[0] is not None:
                codigo = row[0]
                texto1 = ''
                texto2 = ''
                texto3 = ''
                texto4 = ''

            if texto1 == '':
                texto1 = row[3] or ''
                bgcolor1 = f'rgb({row[5] or 0},{row[6] or 0},{row[7] or 0})'
                color1 = f'rgb({row[9] or 0},{row[10] or 0},{row[11] or 0})'
            elif texto2 == '':
                texto2 = row[3] or ''
            elif texto3 == '':
                texto3 = row[3] or ''
            else:
                texto4 = row[3] or ''
                bgcolor2 = f'rgb({row[5] or 0},{row[6] or 0},{row[7] or 0})'
                color2 = f'rgb({row[9] or 0},{row[10] or 0},{row[11] or 0})'

            if texto4 != '':
                escritor.writerow([codigo,texto1,texto2,texto3,texto4,bgcolor1,color1,bgcolor2,color2])

    # No olvides cerrar el archivo después de usarlo
    wb.close()

    # Tu código para renderizar una respuesta, redireccionar, o lo que necesites

read_excel()